package htdinc.howtodrink.Repository;

import android.content.Context;
import android.database.Cursor;

import java.util.ArrayList;
import java.util.List;

import htdinc.howtodrink.DataBase.DataBaseOpenHelper;
import htdinc.howtodrink.Objects.Category;


/**
 * Created by Rudy on 31/05/2016.
 */
public class CategoryRepository extends Repository{

    public CategoryRepository(Context context) {
        sqLiteOpenHelper = new DataBaseOpenHelper(context);
    }

    @Override
    public List GetAll() {
        Cursor cursor = myDatabase.query(DataBaseOpenHelper.CATEGORY_TABLE_NAME,
                new String[] { DataBaseOpenHelper.COLUMN_IDCATEGORY,
                        DataBaseOpenHelper.COLUMN_NAMECATEGORY}, null, null, null,
                null, null);

        return ConvertCursorToListObject(cursor);
    }

    @Override
    public Object GetById(int id) {
        return null;
    }

    @Override
    public void Save(Object entite) {

    }

    @Override
    public void Update(Object obj) {

    }

    @Override
    public void Delete(int id) {

    }

    @Override
    public List ConvertCursorToListObject(Cursor c) {
        ArrayList<Category> liste = new ArrayList<>();

        // Si la liste est vide
        if (c.getCount() == 0)
            return liste;

        // position sur le premeir item
        c.moveToFirst();

        // Pour chaque item
        do {

            Category cat = ConvertCursorToObject(c);

            liste.add(cat);
        } while (c.moveToNext());

        // Fermeture du curseur
        c.close();

        return liste;
    }

    @Override
    public Category ConvertCursorToObject(Cursor c) {

        Category category = new Category(c.getInt(DataBaseOpenHelper.NUM_COLUMN_IDCATEGORY),
                c.getString(DataBaseOpenHelper.NUM_COLUMN_NAMECATEGORY));
        return category;
    }

    @Override
    public Category ConvertCursorToOneObject(Cursor c) {
        c.moveToFirst();

        Category category = ConvertCursorToObject(c);

        c.close();
        return category;
    }

}
