package htdinc.howtodrink.Repository;

import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;

public abstract class Repository implements IRepository {
	// Base de donnees
	protected SQLiteDatabase myDatabase;
 
	protected SQLiteOpenHelper sqLiteOpenHelper;
 
	/**
	 * Constructeur par defaut
	 */
	public Repository() {
 
	}
 
	/**
	 * Ouverture de la connection
	 */
	public void Open() {
		myDatabase = sqLiteOpenHelper.getWritableDatabase();
	}
 
	/**
	 * Fermeture de la connection
	 */
	public void Close() {
		myDatabase.close();
	}
}