package htdinc.howtodrink.Controller;

import android.content.Context;

import java.util.ArrayList;

import htdinc.howtodrink.Objects.Category;
import htdinc.howtodrink.Repository.CategoryRepository;

/**
 * Created by Rudy on 31/05/2016.
 */
public class CategoryController {

    private CategoryRepository categoryRepository;
    private static CategoryController _instance;
    ArrayList<Category> allCategories;
    private Context context;

    public CategoryController(Context applicationContext) {
        this.categoryRepository = new CategoryRepository(applicationContext);
        this.allCategories = new ArrayList<>();
        this.context = applicationContext;
        loadAllCategories();
    }

    public static CategoryController getInstance(Context applicationContext)
    {
        if (_instance == null)
        {
            _instance = new CategoryController(applicationContext);
        }
        return _instance;
    }
    // TODO : faire une requete par nom de catégorie
    public void loadAllCategories(){
        this.allCategories.removeAll(this.allCategories);
        categoryRepository.Open();
        this.allCategories.addAll(categoryRepository.GetAll());
        categoryRepository.Close();
    }

    public String getCatByName(int id){
        return this.allCategories.get(id).getNameCategory();
    }

}